/**
 * Message resource for apeman project.
 * @module apemanlocale
 * @version 6.0.2
 */

'use strict'

const print = require('./print')
const validate = require('./validate')
const apemanlocale = require('./apemanlocale')
const defineLocale = require('./localing/define_locale')
const resolver = require('./resolver')

let lib = apemanlocale.bind(this)

Object.assign(lib, {
  print,
  validate,
  apemanlocale,
  locale: defineLocale,
  resolver
})

module.exports = lib
